Summary: Cyrillic Console
Name: cyrcon
Version: 1.1
Release: 1
Group: Base
Source:cyrcon-1.1.tar.gz 
Copyright: GPL
Vendor: IPLabs
Distribution: Mandrake 5.2
Requires: kbd
BuildRoot: /tmp/root-pkg

%description
Console Cyrillisation. Reboot after installation to get effect.
``kbd'' package requiered.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cp -a * $RPM_BUILD_ROOT

%pre
rm -rf /etc/sysconfig/keyboard
%post
cp /etc/skel/.inputrc $HOME
MRK="#cyrcon"
ed -s /sbin/setsysfont >/dev/null <<SMI
$
a
					$MRK
if [ -x /usr/bin/mapscrn ]; then	$MRK
  if [ -n "\$MAP" ]; then		$MRK
    /usr/bin/mapscrn \$MAP		$MRK
  fi					$MRK
					$MRK
else					$MRK
  echo "can't set map"			$MRK
  exit 1				$MRK
fi					$MRK
.
wq
SMI

ed -s /etc/bashrc >/dev/null <<SMI
$
a
					$MRK
alias xedit='xedit -fn 9x15'		$MRK
bind "set meta-flag On"    		$MRK
bind "set convert-meta Off"       	$MRK
bind "set output-meta On" 		$MRK
echo -ne "\033(K" 			$MRK
echo -ne "\033)K" 			$MRK
.
wq
SMI

ed -s /etc/profile >/dev/null <<SMI
$
a
					$MRK
bind "set meta-flag On"    		$MRK
bind "set convert-meta Off"       	$MRK
bind "set output-meta On" 		$MRK
echo -ne "\033(K" 			$MRK
echo -ne "\033)K" 			$MRK
.
wq
SMI


bool=no
while [ "$bool" = no ]
  do
      echo "What keyboard do you have?"
      echo "1) pc102"
      echo "2) pc105(ms)"
      read ans < /dev/tty
      case $ans in
       2)
            bool=yes
            answer=ru4.map
            ;;
       1)
            bool=yes
            answer=ru3.map
            ;;
      *)
            echo
	    echo "Try 1 (pc102), or 2 (pc105)"
	    echo
	    ;;
      esac
done

ed -s /etc/sysconfig/keyboard >/dev/null <<SMI
$
a
KEYTABLE=/usr/lib/kbd/keytables/$answer		$MRK
.
wq
SMI

localedef -c -f KOI8-R -i ru_RU ru_RU.KOI8-R
cd /usr/share/locale
rm -rf ru_RU.KOI8-R
ln -s ru_RU.koi8r ru_RU.KOI8-R

%preun
FILEREST=/sbin/setsysfont
MRK="#cyrcon"
if [ -e $FILEREST ]
then
ed -s >/dev/null $FILEREST <<ED
,g/$MRK/d
wq
ED
fi

FILEREST=/etc/sysconfig/keyboard
MRK="#cyrcon"
if [ -e $FILEREST ]
then
ed -s >/dev/null $FILEREST <<ED
,g/$MRK/d
wq
ED
fi

FILEREST=/etc/bashrc
MRK="#cyrcon"
if [ -e $FILEREST ]
then
ed -s >/dev/null $FILEREST <<ED
,g/$MRK/d
wq
ED
fi

FILEREST=/etc/profile
MRK="#cyrcon"
if [ -e $FILEREST ]
then
ed -s >/dev/null $FILEREST <<ED
,g/$MRK/d
wq
ED
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc docs/README
/etc/sysconfig/i18n
/etc/sysconfig/keyboard
/usr/lib/kbd/keytables/ru3.map
/usr/lib/kbd/keytables/ru4.map
/etc/skel/.inputrc